| Home | Libraries | People | FAQ | More

## Struct template placeholder

boost::xpressive::placeholder

## Synopsis

    // In header: <boost/xpressive/regex_actions.hpp>

    template<typename T, int I, typename Dummy>
    struct placeholder {
      // types
      typedef placeholder< T, I, Dummy > this_type;
      typedef unspecified                action_arg_type;
    };

## Description

placeholder<T>, for defining a placeholder to stand in fo a variable of type T in a semantic action.